=== debian/changelog ===
kodi-inputstream-ffmpegdirect-dmo (1:20.5.1-dmo0+deb12u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2024 09:15:02 +0200

kodi-inputstream-ffmpegdirect-dmo (1:20.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 14:34:30 +0100

kodi-inputstream-ffmpegdirect-dmo (1:19.0.3-dmo1) unstable; urgency=medium

  * New upstream release.
  * Build with ffmpeg 4.4

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Jul 2022 12:49:04 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Jun 2022 13:06:36 +0200

kodi-inputstream-ffmpegdirect-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Jan 2022 19:13:13 +0100

kodi-inputstream-ffmpegdirect-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Sep 2021 17:19:20 +0200
