=== debian/control ===
Source: kodi-inputstream-ffmpegdirect-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/xbmc/inputstream.ffmpegdirect
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:20~),
 cmake, libavcodec-4-dev, libavformat-4-dev, libswresample-4-dev, libpostproc-4-dev,
 libavfilter-4-dev, pkgconf, libbz2-dev, zlib1g-dev, ninja-build, quilt

Package: kodi-inputstream-ffmpegdirect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:INPUTSTREAMAPI}
Description: FFmpegDirect inputstream addon for Kodi
 This is a Kodi input stream addon for streams that can be opened by either
 FFmpeg's libavformat or Kodi's cURL. Common stream formats such as plain
 TS, HLS and DASH are supported as well as many others.  Note that the only
 DASH streams supported are those without DRM.
 .
 The addon also has support for Archive/Catchup services where there is a
 replay window (usually in days) and can timeshift across that span.
 .
 In addition the addon can also provide timeshift to live streams where
 rewind/pause and fast-forward woud not have previously been possible.
