=== debian/watch ===
version=4

https://github.com/xbmc/inputstream.ffmpegdirect/tags \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@
