## kodi-inputstream-ffmpegdirect-dmo 21.3.8

=== debian/changelog ===
kodi-inputstream-ffmpegdirect-dmo (1:21.3.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Jun 2025 14:56:45 +0200

kodi-inputstream-ffmpegdirect-dmo (1:21.3.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 01:57:30 +0100

kodi-inputstream-ffmpegdirect-dmo (1:21.3.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jan 2025 08:59:24 +0100

kodi-inputstream-ffmpegdirect-dmo (1:21.3.5-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 15:25:20 +0100

kodi-inputstream-ffmpegdirect-dmo (1:21.3.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 01:57:12 +0200

kodi-inputstream-ffmpegdirect-dmo (1:20.5.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2024 02:14:25 +0200

kodi-inputstream-ffmpegdirect-dmo (1:20.5.0-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Aug 2023 09:46:33 +0200
