=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/xbmc/inputstream.ffmpegdirect
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
-Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:20~),
- cmake, libavcodec-4-dev, libavformat-4-dev, libswresample-4-dev, libpostproc-4-dev,
- libavfilter-4-dev, pkgconf, libbz2-dev, zlib1g-dev, ninja-build, quilt
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-kodiaddon (>= 5:21~),
+ cmake, libavcodec-6-dev, libavformat-6-dev, libswresample-6-dev, libpostproc-6-dev,
+ libavfilter-6-dev, pkgconf, libbz2-dev, zlib1g-dev, ninja-build, quilt
 
 Package: kodi-inputstream-ffmpegdirect
 Architecture: any
