=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+	-DENABLE_INTERNAL_FFMPEG=OFF \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 #	exit 1
